// Copyright 2024 Matthew Rich <matthewrich.conf@gmail.com>. All rights reserved.

package resource

import (
  "context"
_ "gopkg.in/yaml.v3"
	"gitea.rosskeen.house/rosskeen.house/machine"
)

func NewFooResource() *MockResource {
  return &MockResource {
    InjectType: func() string { return "foo" },
    InjectResolveId: func(ctx context.Context) string { return "bar" },
    InjectRead: func(ctx context.Context) ([]byte, error) { return nil,nil },
    InjectLoadDecl: func(string) error { return nil },
    InjectApply: func() error { return nil },
    InjectStateMachine: func() machine.Stater { return nil },
  }
}
